Bug 266933 - OpenGL backend render planets, Moon and Sun as squares
Summary: OpenGL backend render planets, Moon and Sun as squares
Status: RESOLVED FIXED
Alias: None
Product: kstars
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Akarsh Simha
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-23 01:16 UTC by Alexey Khudiakov
Modified: 2011-05-03 23:17 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Khudiakov 2011-02-23 01:16:12 UTC
Version:           unspecified
OS:                Linux

Just center and zoom in. 

Reproducible: Always
Comment 1 Alexey Khudiakov 2011-05-03 23:17:31 UTC
Git commit 4bb749b5842f0fd7838dc5a5f068dd39a0296bb1 by Khudyakov Alexey.
Committed on 03/05/2011 at 23:14.
Pushed by khudyakov into branch 'master'.

It required rewrite of TextureManager. Now its API became much simpler
there are just 3(+1) static functions. One to obtain image and two
to bind texture.

Most important changes:

* Texture IDs are cached by Qt so there no point cache them twice
* Texture manager do not own GL context any more. Instead it is
  passed as parameter of QGLWidget* type.
* Texture class is not used anywhere but is still here.
* All Q_ASSERTS on QGLContext are gone
* Planet and deep-skyes store their images as QImage not as
  textures. Also they are loaded at construction time.

Unfortunately this is rather large changeset but there is no
obvious way to implement these changes incrementally.

CCMAIL: kstars-devel@kde.org
BUG: 266933

M  +58   -80   kstars/skyglpainter.cpp     
M  +2    -2    kstars/skyglpainter.h     
M  +0    -7    kstars/skymap.cpp     
M  +4    -6    kstars/skymapgldraw.cpp     
M  +9    -12   kstars/skyobjects/deepskyobject.cpp     
M  +5    -11   kstars/skyobjects/deepskyobject.h     
M  +1    -1    kstars/skyobjects/ksmoon.cpp     
M  +2    -3    kstars/skyobjects/ksplanetbase.cpp     
M  +2    -4    kstars/skyobjects/ksplanetbase.h     
M  +4    -8    kstars/skyqpainter.cpp     
M  +10   -10   kstars/texture.cpp     
M  +57   -44   kstars/texturemanager.cpp     
M  +32   -33   kstars/texturemanager.h     

http://commits.kde.org/kstars/4bb749b5842f0fd7838dc5a5f068dd39a0296bb1